## ros-foxy-launch-testing 0.10.10

=== debian/changelog ===
ros-foxy-launch-testing (0.10.10-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 12 Oct 2022 07:00:00 -0000

ros-foxy-launch-testing (0.10.9-1focal) focal; urgency=high

  * Fix Typo (#641 <https://github.com/ros2/launch/issues/641>) (#642 <https://github.com/ros2/launch/issues/642>)
  * Add compatitibility with pytest 7 (#592 <https://github.com/ros2/launch/issues/592>) (#628 <https://github.com/ros2/launch/issues/628>)
  * Mention that ready_fn in generate_test_description is deprecated (#623 <https://github.com/ros2/launch/issues/623>) (#624 <https://github.com/ros2/launch/issues/624>)
  * Switch to using a comprehension for process_names (#614 <https://github.com/ros2/launch/issues/614>) (#617 <https://github.com/ros2/launch/issues/617>)
  * Contributors: Bi0T1N, Chris Lalancette, Kenji Brameld, Shane Loretz

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch-testing (0.10.8-1focal) focal; urgency=high

  * Fix launch_testing README.md: Changed 'proc' keyword to 'process'. (#554 <https://github.com/ros2/launch/issues/554>)
  * Contributors: Aditya, Michael McConnell

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 12 Jan 2022 08:00:00 -0000

ros-foxy-launch-testing (0.10.7-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 12 Nov 2021 08:00:00 -0000

ros-foxy-launch-testing (0.10.6-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch-testing (0.10.5-1focal) focal; urgency=high

  * Fix max() with empty sequence (#440 <https://github.com/ros2/launch/issues/440>) (#491 <https://github.com/ros2/launch/issues/491>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch-testing (0.10.4-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-launch-testing (0.10.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-launch-testing (0.10.2-1focal) focal; urgency=high

  * Set junit_family to xunit2 in pytest.ini
  * Stop using implicit variables in example testing.
  * Switch to from_parent to remove deprecation warning.
  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Remove uses of deprecated ready_fn. (#419 <https://github.com/ros2/launch/issues/419>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch-testing (0.10.1-1focal) focal; urgency=high

  * fixed depcrecation warning of imp to importlib (issue #387 <https://github.com/ros2/launch/issues/387>) (#407 <https://github.com/ros2/launch/issues/407>)
  * wait_for_ouput() repr includes actual text (#408 <https://github.com/ros2/launch/issues/408>)
  * Contributors: Shane Loretz, Zahi Kakish

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-launch-testing (0.10.0-1focal) focal; urgency=high

  * Improve jUnit output for launch tests when run with py.test (#404 <https://github.com/ros2/launch/issues/404>)
  * avoid deprecation warning, use from_parent (#402 <https://github.com/ros2/launch/issues/402>)
  * Warn that old-style ready_fn and test attributes will be deprecated (#346 <https://github.com/ros2/launch/issues/346>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * stop using constructors deprecated in pytest 5.4 (#391 <https://github.com/ros2/launch/issues/391>)
  * Add the ability to assert in stdout or stderr. (#378 <https://github.com/ros2/launch/issues/378>)
  * Add delay parameter to retry_on_failure decorator (#390 <https://github.com/ros2/launch/issues/390>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Import test file without contaminating sys.modules (#360 <https://github.com/ros2/launch/issues/360>)
  * Update reference to example launch test file (#363 <https://github.com/ros2/launch/issues/363>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Fix a documentation typo. (#361 <https://github.com/ros2/launch/issues/361>)
  * Fix junit XML when launch dies early (#358 <https://github.com/ros2/launch/issues/358>)
  * Contributors: Chris Lalancette, Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Peter Baughman, Steven! Ragnarök

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-launch-testing (0.9.5-1focal) focal; urgency=high

  * Make launch_testing.markers.retry_on_failure decorator more robust. (#352 <https://github.com/ros2/launch/issues/352>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000

ros-foxy-launch-testing (0.9.4-1focal) focal; urgency=high

  * Fix a small typo in the launch_testing README. (#351 <https://github.com/ros2/launch/issues/351>)
  * Contributors: Chris Lalancette

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-launch-testing (0.9.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch-testing (0.9.2-1focal) focal; urgency=high

  * Support launch test reruns when using pytest (#348 <https://github.com/ros2/launch/issues/348>)
  * Support CLI commands testing (#279 <https://github.com/ros2/launch/issues/279>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch-testing (0.9.1-1focal) focal; urgency=high

  * Optionally remove ready fn arg from generate_test_description (#322 <https://github.com/ros2/launch/issues/322>)
  * Contributors: Michel Hidalgo, Peter Baughman


