=== debian/control ===
Source: ros-foxy-launch-testing
Section: misc
Priority: optional
Maintainer: Pete Baughman <pete.baughman@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-mock <!nocheck>, python3-pytest <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-launch <!nocheck>, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-launch-testing
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-launch, ros-foxy-osrf-pycommon, ros-foxy-ros-workspace
Description: A package to create tests which involve launch files and multiple processes.
